<template>
  <div class="col-12 md:col-6 lg:col-3">
    <div class="surface-card shadow-2 p-3 border-round">
      <div class="flex justify-content-between mb-3">
        <div>
          <span class="block text-500 font-medium mb-3">{{ title }}</span>
          <div class="text-900 font-medium text-xl">{{ value }}</div>
        </div>
        <div
          class="flex align-items-center justify-content-center bg-blue-100 border-round"
          style="width: 2.5rem; height: 2.5rem"
        >
          <i :class="['pi  text-xl', icon, iconColor]"></i>
        </div>
      </div>
      <div>
        <slot name="sub-heading">
          <!-- <span class="text-green-500 font-medium">24 new </span>
          <span class="text-500">since last visit</span> -->
        </slot>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
const props = defineProps({
  title: String,
  value: [String, Number],
  icon: {
    default: "pi-question-circle",
    type: String,
  },
  iconColor: {
    default: "text-blue-500",
    type: String,
  },
});
</script>
